---
type: api
title: Get an exception list summary
description: Get a summary of the specified exception list.
url: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/kibana/v0/operation/operation-readexceptionlistsummary
resource: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/kibana/v0/operation/operation-readexceptionlistsummary
products:
  - Kibana
---

# Get an exception list summary

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/exception_lists/summary`

## Description

Get a summary of the specified exception list.

## Authentication

- Api key: `Authorization: <value>`
  These APIs use key-based authentication. You must create an API key and use the encoded value in the request header. For example: `Authorization: ApiKey base64AccessApiKey`
- Basic: `Authorization: Basic <credentials>`

## Query string parameters

- `id` (string · format: nonempty · min length: 1) — optional
  Exception list's identifier generated upon creation.
  Example: `9e5fc75a-a3da-46c5-96e3-a2ec59c6bb85`
- `list_id` (string · format: nonempty · min length: 1) — optional
  Exception list's human readable identifier.
  Example: `simple_list`
- `namespace_type` (enum) — optional
  `single` returns summary for a list in the current space; `agnostic` for a space-agnostic list. Must
line up with `id` / `list_id` used to look up the list.
  Values: `agnostic`, `single`
- `filter` (string) — optional
  Search filter clause

## Responses

#### `200`

Successful response

`application/json`

- `linux` (integer · min: 0)
- `macos` (integer · min: 0)
- `total` (integer · min: 0)
- `windows` (integer · min: 0)
#### `400`

Invalid input data response

`application/json`

One of:
- **{ error, statusCode }**
  - `error` (string)
  - `message` (string)
  - `statusCode` (integer)
- **{ status_code }**
  - `message` (string)
  - `status_code` (integer)
#### `401`

Unsuccessful authentication response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `403`

Not enough privileges response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `404`

Exception list not found response

`application/json`

- `message` (string)
- `status_code` (integer)
#### `500`

Internal server error response

`application/json`

- `message` (string)
- `status_code` (integer)
## Code examples

#### Console

```console
GET kbn:/api/exception_lists/summary
```

#### curl

```curl
curl -X GET "${KIBANA_URL}/api/exception_lists/summary" \
  -H "Authorization: ApiKey ${API_KEY}"
```

## Response examples

#### Summary

```json
{
  "linux": 0,
  "macos": 0,
  "total": 0,
  "windows": 0
}
```

#### Bad

```json
{
  "error": "Bad Request",
  "message": "[request query]: namespace_type.0: Invalid enum value. Expected \u0027agnostic\u0027 | \u0027single\u0027, received \u0027blob\u0027",
  "statusCode": 400
}
```

#### Unauthorized

```json
{
  "error": "Unauthorized",
  "message": "[security_exception\\n\\tRoot causes:\\n\\t\\tsecurity_exception: unable to authenticate user [elastic] for REST request [/_security/_authenticate]]: unable to authenticate user [elastic] for REST request [/_security/_authenticate]",
  "statusCode": 401
}
```

#### Forbidden

```json
{
  "error": "Forbidden",
  "message": "API [GET /api/exception_lists/summary?list_id=simple_list\u0026namespace_type=agnostic] is unauthorized for user, this action is granted by the Kibana privileges [lists-summary]",
  "statusCode": 403
}
```

#### Not found

```json
{
  "message\u0022": "exception list id: \u0022foo\u0022 does not exist",
  "status_code\u0022": 404
}
```

#### Server error

```json
{
  "message": "Internal Server Error",
  "status_code": 500
}
```

